%define upstream_name    Morpheus
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Extra plugins - Env and File
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(JSON)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Symbol)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Morpheus is a configuration engine that completely separates config
consumers from config providers.

Consumers can obtain configuration values by using this module or the morph
manpage script. Configuration values are binded to various nodes in the
global config tree, similar to virtual file system. Consumers can ask for
any node or for any subtree.

Providers are plugins which can populate configuration tree from any
sources: local configuration files, configuration database, environment,
etc. The overall program configuration is merged together from all data
provided by plugins.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/morph
/usr/share/man/man1/morph.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.460.0-9.mga8
+ Revision: 1495737
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.460.0-8.mga7
+ Revision: 1269831
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.460.0-7.mga6
+ Revision: 1030730
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.460.0-6.mga6
+ Revision: 948356
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-5.mga5
+ Revision: 742875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-4.mga5
+ Revision: 685596
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.460.0-3.mga4
+ Revision: 513270
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 370374
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 342420
- update to 0.46

* Wed Jul 04 2012 jquelin <jquelin> 0.440.0-1.mga3
+ Revision: 267397
- update to 0.44

* Thu Dec 08 2011 kharec <kharec> 0.430.0-1.mga2
+ Revision: 179222
- update to 0.43

* Mon Nov 07 2011 kharec <kharec> 0.420.0-1.mga2
+ Revision: 165047
- update to 0.42

* Mon Nov 07 2011 kharec <kharec> 0.410.0-1.mga2
+ Revision: 165021
- imported package perl-Morpheus


* Mon Nov 07 2011 cpan2dist 0.41-1mga
- initial mageia release, generated with cpan2dist
